Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mchange.v2.c3p0.impl
Class IdentityTokenResolvable

    java.lang.Object
      com.mchange.v2.c3p0.impl.AbstractIdentityTokenized
          com.mchange.v2.c3p0.impl.IdentityTokenResolvable

All Implemented Interfaces:
  IdentityTokenized

Direct Known Subclasses:
  DriverManagerDataSourceBase, JndiRefConnectionPoolDataSource, JndiRefDataSourceBase, PoolBackedDataSourceBase, WrapperConnectionPoolDataSourceBase

    public abstract class IdentityTokenResolvable

extends AbstractIdentityTokenized

This is a convenient base class for all classes that wish to establish an initial identity which will be the basis of a one-per vm identity: i.e. in any vm there should only ever be a single object with a given identity token (except transiently during canonicalization) It would be convenient to put the getter/setter methods for the identity token here, but unfortunately we have no way of setting up the for Referenceability in multiple levels of a class hierarchy. So we leave the getters/setters, and variable initialization to code-generators.

Constructor Summary
`IdentityTokenResolvable()`

Method Summary
`static java.lang.Object` | `doResolve(IdentityTokenized itd)`
`protected java.lang.Object` | `readResolve()`
`protected void` | `verifyResolve(java.lang.Object o)`

Methods inherited from class com.mchange.v2.c3p0.impl.AbstractIdentityTokenized
`equals, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.mchange.v2.c3p0.impl.IdentityTokenized
`getIdentityToken, setIdentityToken`

Constructor Detail

### IdentityTokenResolvable

    public IdentityTokenResolvable()

Method Detail

### doResolve

    public static java.lang.Object doResolve(IdentityTokenized itd)

### readResolve

    protected java.lang.Object readResolve()
                                    throws java.io.ObjectStreamException

  Throws:
    `java.io.ObjectStreamException`

### verifyResolve

    protected void verifyResolve(java.lang.Object o)
                          throws java.io.ObjectStreamException

  Throws:
    `java.io.ObjectStreamException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD